
import Panel from "../views/Panel";
export default class WXSharePanel extends Panel {

    public get skinKey() { return 'WXSharePanel' }
    public get groupName() { return 'card' }

    public hint:eui.Image;
    constructor() {
        super()
    }
    protected onSkinComplete(): void {
        super.onSkinComplete();
        
        this.once(egret.Event.ADDED_TO_STAGE, this.onLoad, this);
        if (this.stage) {
            this.onLoad();
        }
    }
    private onLoad(): void {
        // console.log('屏幕',screen.width,screen.height)
        // if(screen.height/screen.width >= 2.22)
        // {
        //     this.hint.y = 140;
        // }
    }
    initEvents(){
        this.addEventListener(egret.TouchEvent.TOUCH_TAP,this.closePanel,this);
    }

    closePanel(){
        this.hidePanel();
    }
}